Bug 625440 - [mr_IN][te_IN] while running s-c-date from terminal, getting "gtkwarning: calendar:MY wrongly translated"
Summary: [mr_IN][te_IN] while running s-c-date from terminal, getting "gtkwarning: cal...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthias Clasen
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords: Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 13:02 UTC by A S Alam
Modified: 2013-07-03 01:03 UTC (History)
4 users (show)

Fixed In Version: gtk2-2.18.9-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:04:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix the issue (786 bytes, patch)
2010-09-01 11:48 UTC, Ankit Patel
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0693 normal SHIPPED_LIVE gtk2 bug fix update 2011-05-18 18:10:20 UTC

Description A S Alam 2010-08-19 13:02:12 UTC
Description of problem:
Warning at Terminal with following:
---
Running mr_IN.UTF-8
/usr/share/system-config-date/scdMainWindow.py:232: GtkWarning: Whoever translated calendar:MY did so wrongly.
----

same with te_IN

but you can gtk20.mo file for both locale, it is correctly translated.
{
#msgunfmt /usr/share/locale/mr/LC_MESSAGES/gtk20.mo |grep MY
msgid "calendar:MY"
msgstr "calender:MY"
}

Spelling mistake for "calendar" -> "calender"

Version-Release number of selected component (if applicable):
gtk2-2.18.9-4.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1. run system-config-date from gnome-terminal
2. check terminal for warning
3.
  
Actual results:
Warning at terminal
(
msgid "calendar:MY"
msgstr "calender:MY"
)

Expected results:
there should no warning 
(
msgid "calendar:MY"
msgstr "calendar:MY"
)

Additional info:

Comment 2 Krishna Babu K 2010-08-19 16:45:11 UTC
Hi,

Corrected string occurrence "calendar:MY" in gtk+ UI, and committed back to upstream and downstream repositories.

downstream:

http://l10n.englab.pnq.redhat.com/Rhel6_l10n_status_langs/el/te/gtk2.po

Upstream:

Changes committed to all branches, here providing link only for gtk-2-18 branch.

http://l10n.gnome.org/POT/gtk+.gtk-2-18/gtk+.gtk-2-18.te.po

Thanks,
Krishna.

Comment 3 sandeep shedmake 2010-08-19 16:48:55 UTC
Fixed in upstream. Fixes available at:

1) master   - http://l10n.gnome.org/POT/gtk+.master/gtk+.master.mr.po
2) gtk-2-20 - http://l10n.gnome.org/POT/gtk+.gtk-2-20/gtk+.gtk-2-20.mr.po
3) gtk-2-18 - http://l10n.gnome.org/POT/gtk+.gtk-2-18/gtk+.gtk-2-18.mr.po
4) gtk-2-16 - http://l10n.gnome.org/POT/gtk+.gtk-2-16/gtk+.gtk-2-16.mr.po
5) gtk-2-14 - http://l10n.gnome.org/POT/gtk+.gtk-2-14/gtk+.gtk-2-14.mr.po


Ankit, CCing you too. Fixed in downstream as well (Committed revision 2068).

Comment 4 Ankit Patel 2010-09-01 11:48:17 UTC
Created attachment 442393 [details]
A patch to fix the issue

Applying this patch should fix the calendar:MY translations for mr.po and te.po. Please make a new build including this patch.

Thanks!
Ankit

Comment 6 Matthias Clasen 2011-01-27 14:06:29 UTC
Fix included in gtk2-2.18.9-5.el6

Comment 9 errata-xmlrpc 2011-05-19 14:04:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0693.html


Note You need to log in before you can comment on or make changes to this bug.